# Uses of Interface
org.springframework.web.servlet.resource.ResourceTransformer

Packages that use ResourceTransformer
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.
org.springframework.web.servlet.resource
Support classes for serving static resources.

## Uses of ResourceTransformer in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return types with arguments of type ResourceTransformer
Modifier and Type
Method
Description
`protected List<ResourceTransformer>`
ResourceChainRegistration.`getResourceTransformers()`
Methods in org.springframework.web.servlet.config.annotation with parameters of type ResourceTransformer
Modifier and Type
Method
Description
`ResourceChainRegistration`
ResourceChainRegistration.`addTransformer(ResourceTransformer transformer)`
Add a resource transformer to the chain.

## Uses of ResourceTransformer in org.springframework.web.servlet.resource

Classes in org.springframework.web.servlet.resource that implement ResourceTransformer
Modifier and Type
Class
Description
`class`
`CachingResourceTransformer`
A `ResourceTransformer` that checks a `Cache` to see if a previously transformed resource exists in the cache and returns it if found, and otherwise delegates to the resolver chain and saves the result in the cache.
`class`
`CssLinkResourceTransformer`
A `ResourceTransformer` implementation that modifies links in a CSS file to match the public URL paths that should be exposed to clients (for example, with an MD5 content-based hash inserted in the URL).
`class`
`ResourceTransformerSupport`
A base class for a `ResourceTransformer` with an optional helper method for resolving public links within a transformed resource.
Methods in org.springframework.web.servlet.resource that return types with arguments of type ResourceTransformer
Modifier and Type
Method
Description
`List<ResourceTransformer>`
ResourceHttpRequestHandler.`getResourceTransformers()`
Return the list of configured resource transformers.
Method parameters in org.springframework.web.servlet.resource with type arguments of type ResourceTransformer
Modifier and Type
Method
Description
`void`
ResourceHttpRequestHandler.`setResourceTransformers(List<ResourceTransformer> resourceTransformers)`
Configure the list of `ResourceTransformers` to use.